Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 183)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 190)
@@ -1265,13 +855,13 @@
    if (xyc .EQ. 1) then
       no_layer = (ze-zs)+1
-      data = new((/dim,nt,zdim+1,(ye-ys)+1,(xe-xs)+1/),float)
+      data = new((/dim,nt,(ze-zs)+1,(ye-ys)+1,(xe-xs)+1/),float)
    end if
    if (xzc .EQ. 1) then
       no_layer = (ye-ys)+1
-      data = new((/dim,nt,(ze-zs)+1,ydim+1,(xe-xs)+1/),float)
+      data = new((/dim,nt,(ze-zs)+1,(ye-ys)+1,(xe-xs)+1/),float)
    end if
    if (yzc .EQ. 1) then
       no_layer = (xe-xs)+1
-      data = new((/dim,nt,(ze-zs)+1,(ye-ys)+1,xdim+1/),float)
+      data = new((/dim,nt,(ze-zs)+1,(ye-ys)+1,(xe-xs)+1/),float)
    end if
 
@@ -1299,9 +889,9 @@
       lis = start_time_step
       lie = end_time_step
-      los = lays 
-      loe = laye
+      los = 0
+      loe = laye-lays
    else
-      lis = lays
-      lie = laye
+      lis = 0
+      lie = laye-lays
       los = start_time_step 
       loe = end_time_step
@@ -1314,7 +904,5 @@
    n=0
 
-   do varn=dim-1,0,1  
-      
-      data_all = f->$vNam(varn)$ 
+   do varn=dim-1,0,1        
     
       if (vector .EQ. 1) then    
@@ -1328,9 +916,6 @@
          check = True
       end if  
-      if (  isvar("var") ) then  
-         check = isStrSubset( var,","+vNam(varn)+",")
-      end if  
-      if (parameter(21) .NE. "variables") then
-         var = parameter(21) 
+    
+      if (var .NE. "all") then
          check = isStrSubset( var,","+vNam(varn)+"," ) 
       end if  
@@ -1350,18 +935,17 @@
 
          if (xyc .EQ. 1) then
-            data(varn,:,:,:,:)=data_all(:,:,ys:ye,xs:xe) 
+            data(varn,:,:,:,:)=f->$vNam(varn)$(:,zs:ze,ys:ye,xs:xe) 	
          end if
          if ( xzc .eq. 1 ) then
-            data(varn,:,:,:,:)=data_all(:,zs:ze,:,xs:xe) 
+            data(varn,:,:,:,:)=f->$vNam(varn)$(:,zs:ze,ys:ye,xs:xe) 
          end if
          if ( yzc .eq. 1) then
-            data(varn,:,:,:,:)=data_all(:,zs:ze,ys:ye,:) 
-         end if
-
+            data(varn,:,:,:,:)=f->$vNam(varn)$(:,zs:ze,ys:ye,xs:xe) 
+         end if
          if (check_vec1) then
-            vect1=data_all
+            vect1=data(varn,:,:,:,:)
          end if
          if (check_vec2) then
-            vect2=data_all
+            vect2=data(varn,:,:,:,:)
          end if
 
@@ -1377,11 +961,36 @@
       end if
 
-      delete(data_all)
-
    end do
 
-   if (n .EQ. 0) then
-      print(" ")
-      print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
+   var_input=new(no_var,string)
+   numb=0
+   do varn=dim-1,0,1   
+    
+      if (vector .EQ. 1) then    
+         check_vec1 = isStrSubset( vec1,","+vNam(varn)+",")
+         check_vec2 = isStrSubset( vec2,","+vNam(varn)+",")
+      end if
+           
+      if ( vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "yv" .or. vNam(varn) .eq. "xu" .or. vNam(varn) .eq. "zu" .or. vNam(varn) .eq. "zwwi" .or. vNam(varn) .eq. "zusi" .or. vNam(varn) .eq. "time" .or. vNam(varn) .eq. "zu_3d" .or. vNam(varn) .eq. "zw_3d" .or. vNam(varn) .eq. "x".or. vNam(varn) .eq. "y" .or. vNam(varn) .eq. "zu_xy" .or. vNam(varn) .eq. "zw_xy" .or. vNam(varn) .eq. "zu1_xy" .or. vNam(varn) .eq. "ind_z_xy" .or. vNam(varn) .eq. "y_xz" .or. vNam(varn) .eq. "yv_xz" .or. vNam(varn) .eq. "ind_y_xz" .or. vNam(varn) .eq. "x_yz" .or. vNam(varn) .eq. "xu_yz" .or. vNam(varn) .eq. "ind_x_yz") then
+         check = False
+      else
+         check = True
+      end if  
+    
+      if (var .NE. "all") then
+         check = isStrSubset( var,","+vNam(varn)+"," ) 
+      end if  
+
+      if(check) then     
+         var_input(numb)=vNam(varn) 
+	 numb=numb+1     
+      end if
+      
+   end do
+
+   if (no_var .EQ. 0) then
+      print(" ")
+      print("The variables var='"+var+"' do not exist on your input file;")
+      print("be sure to have one comma berfore and after each variable")
       print(" ")
       exit
@@ -1391,5 +1000,7 @@
       if (v1 .EQ. 0)then
          print(" ")
-         print("Varible for vector-plot ('vec1') must be one of the varibles for plot ('var')")
+         print("Component 1 for the vector-plot ('vec1') must be one of the input varibles:")
+	 print("- "+var_input)
+	 print("be sure to have one comma berfore and after the variable")
          print(" ")
          exit
@@ -1398,5 +1009,7 @@
       if (v2 .EQ. 0)then
          print(" ")
-         print("Varible for vector-plot ('vec2') must be one of the varibles for plot ('var')")
+         print("Component 2 for the vector-plot ('vec2') must be one of the input varibles:")
+	 print("- "+var_input)
+	 print("be sure to have one comma berfore and after the variable")
          print(" ")
          exit
@@ -1423,5 +1036,5 @@
    ; ***************************************************
 
-   if (vector .EQ. 1 .AND. parameter(45) .EQ. "plotvec") then
+   if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
       do lo = los, loe           				
          do li = lis, lie
@@ -1441,6 +1054,4 @@
       end do
    end if
-
-   check = True
  
    do varn=dim-1,0,1 
@@ -1455,14 +1066,11 @@
          check = True
       end if   
-      if (  isvar("var") ) then  
-         check = isStrSubset( var,","+vNam(varn)+",")
-      end if
-      if (parameter(21) .NE. "variables") then
-         var = parameter(21) 
+  
+      if (var .NE. "all") then
          check = isStrSubset( var,","+vNam(varn)+"," ) 
       end if 
     
       if(check) then
-         print(vNam(varn))
+   
          space=(MaxVal(varn)-MinVal(varn))/24
   
@@ -1496,5 +1104,5 @@
                         level = "=" + data&z(lo) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + data&t(li) +"s  z"+level
+                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(li)/3600,2,True) +"h  z"+level		     
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,li,lo,:,:),cs_res) 
                      if (vector .EQ. 1 .AND. check_vecp) then
@@ -1514,10 +1122,10 @@
                  
                   if ( sort .eq. "layer" ) then
-                     if ( data&z(li) .eq. -1 ) then
+		     if ( data&z(li) .eq. -1 ) then
                         level = "-average"
                      else 
                         level = "=" + data&z(li) + "m"
-                     end if
-                     cs_res@gsnCenterString = "t=" + data&t(lo) + "s  z"+ level
+                     end if 
+                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) + "h  z"+ level		
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,li,:,:),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp) then
@@ -1548,10 +1156,10 @@
                
                   if ( sort .eq. "time" ) then
-                     if ( data&z(lo) .eq. -1 ) then
+                     if ( data&y(lo) .eq. -1 ) then
                         level = "-average"
                      else 
                         level = "=" + data&y(lo) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + data&t(li) + "s  y"+ level
+                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(li)/3600,2,True) + "s  y"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,li,:,lo,:),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp) then
@@ -1571,10 +1179,10 @@
 
                   if ( sort .eq. "layer" ) then
-                     if ( data&z(li) .eq. -1 ) then
+                     if ( data&y(li) .eq. -1 ) then
                         level = "-average"
                      else 
                         level = "=" + data&y(li) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + data&t(lo) + "s  y"+ level
+                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) + "s  y"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,:,li,:),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp) then
@@ -1605,10 +1213,10 @@
 
                   if ( sort .eq. "time" ) then
-                     if ( data&z(lo) .eq. -1 ) then
+                     if ( data&x(lo) .eq. -1 ) then
                         level = "-average"
                      else 
-                        level = "=" + data&z(lo) + "m"
+                        level = "=" + data&x(lo) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + data&t(li) + "s  x"+ level
+                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(li)/3600,2,True) + "s  x"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,li,:,:,lo),cs_res)
     	             if (vector .EQ. 1 .AND. check_vecp) then
@@ -1628,10 +1236,10 @@
 
                   if ( sort .eq. "layer" ) then
-                     if ( data&z(li) .eq. -1 ) then
+                     if ( data&x(li) .eq. -1 ) then
                         level = "-average"
                      else 
-                        level = "=" + data&z(li) + "m"
+                        level = "=" + data&x(li) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + data&t(lo) + "s  x"+ level
+                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) + "s  x"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,:,:,li),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp)then
@@ -1660,5 +1268,5 @@
    ; ***************************************************
 
-   if (vector .EQ. 1 .AND. parameter(45) .EQ. "plotvec")then 
+   if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec")then 
       if (format_out .EQ. "eps" .OR. format_out .EQ. "epsi") then
          gsn_panel(wks_ps,plot(0:(no_time*no_layer*(no_var+1))-1),(/no_var+1,no_layer*no_time/),cs_resP)
